package com.mortals.xhx.modules.arameter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Arameter
* date: 2021-8-10 14:26:49
*/
public class ArameterQuery extends ArameterEntity{
    private static final long serialVersionUID = 1628576809157L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;


    /** 入驻系统名称 */
    private List<String> eventNameList;

    /** 入驻系统编码 */
    private List<String> sysCodeList;

    /** 申请并受理接口地址 */
    private List<String> acceptAdressList;

    /** 审查接口地址 */
    private List<String> reviewAdressList;

    /** 决定接口地址 */
    private List<String> decideAdressList;
    /** 开始 创建时间 */
    private String createDateStart;

    /** 结束 创建时间 */
    private String createDateEnd;
    /** 开始 更新时间 */
    private String updateDateStart;

    /** 结束 更新时间 */
    private String updateDateEnd;

    /** 区划 */
    private List<String> compartmentList;

    /** 街道 */
    private List<String> addressList;

    /** 阈值 */
    private List<String> thresholdValueList;

    /** 创建者id */
    private List<String> creatorIdList;

    /** 地区编码 */
    private List<String> areaCodeList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ArameterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ArameterQuery> andConditionList;


    public ArameterQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 入驻系统名称
    * @return eventNameList
    */
    public List<String> getEventNameList(){
        return this.eventNameList;
    }

    /**
    * 设置 入驻系统名称
    * @param eventNameList
    */
    public void setEventNameList(List<String> eventNameList){
        this.eventNameList = eventNameList;
    }
    /**
    * 获取 入驻系统编码
    * @return sysCodeList
    */
    public List<String> getSysCodeList(){
        return this.sysCodeList;
    }

    /**
    * 设置 入驻系统编码
    * @param sysCodeList
    */
    public void setSysCodeList(List<String> sysCodeList){
        this.sysCodeList = sysCodeList;
    }
    /**
    * 获取 申请并受理接口地址
    * @return acceptAdressList
    */
    public List<String> getAcceptAdressList(){
        return this.acceptAdressList;
    }

    /**
    * 设置 申请并受理接口地址
    * @param acceptAdressList
    */
    public void setAcceptAdressList(List<String> acceptAdressList){
        this.acceptAdressList = acceptAdressList;
    }
    /**
    * 获取 审查接口地址
    * @return reviewAdressList
    */
    public List<String> getReviewAdressList(){
        return this.reviewAdressList;
    }

    /**
    * 设置 审查接口地址
    * @param reviewAdressList
    */
    public void setReviewAdressList(List<String> reviewAdressList){
        this.reviewAdressList = reviewAdressList;
    }
    /**
    * 获取 决定接口地址
    * @return decideAdressList
    */
    public List<String> getDecideAdressList(){
        return this.decideAdressList;
    }

    /**
    * 设置 决定接口地址
    * @param decideAdressList
    */
    public void setDecideAdressList(List<String> decideAdressList){
        this.decideAdressList = decideAdressList;
    }
    /**
    * 获取 开始 创建时间
    * @return createDateStart
    */
    public String getCreateDateStart(){
    return this.createDateStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createDateStart
    */
    public void setCreateDateStart(String createDateStart){
    this.createDateStart = createDateStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createDateEnd
    */
    public String getCreateDateEnd(){
    return this.createDateEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createDateEnd
    */
    public void setCreateDateEnd(String createDateEnd){
    this.createDateEnd = createDateEnd;
    }
    /**
    * 获取 开始 更新时间
    * @return updateDateStart
    */
    public String getUpdateDateStart(){
    return this.updateDateStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateDateStart
    */
    public void setUpdateDateStart(String updateDateStart){
    this.updateDateStart = updateDateStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateDateEnd
    */
    public String getUpdateDateEnd(){
    return this.updateDateEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateDateEnd
    */
    public void setUpdateDateEnd(String updateDateEnd){
    this.updateDateEnd = updateDateEnd;
    }
    /**
    * 获取 区划
    * @return compartmentList
    */
    public List<String> getCompartmentList(){
        return this.compartmentList;
    }

    /**
    * 设置 区划
    * @param compartmentList
    */
    public void setCompartmentList(List<String> compartmentList){
        this.compartmentList = compartmentList;
    }
    /**
    * 获取 街道
    * @return addressList
    */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
    * 设置 街道
    * @param addressList
    */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }
    /**
    * 获取 阈值
    * @return thresholdValueList
    */
    public List<String> getThresholdValueList(){
        return this.thresholdValueList;
    }

    /**
    * 设置 阈值
    * @param thresholdValueList
    */
    public void setThresholdValueList(List<String> thresholdValueList){
        this.thresholdValueList = thresholdValueList;
    }
    /**
    * 获取 创建者id
    * @return creatorIdList
    */
    public List<String> getCreatorIdList(){
        return this.creatorIdList;
    }

    /**
    * 设置 创建者id
    * @param creatorIdList
    */
    public void setCreatorIdList(List<String> creatorIdList){
        this.creatorIdList = creatorIdList;
    }
    /**
    * 获取 地区编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 地区编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ArameterQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ArameterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ArameterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ArameterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}